Bug 608094 - updatedb of mlocate hangs on sshfs filesystem
Summary: updatedb of mlocate hangs on sshfs filesystem
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mlocate (Show other bugs)
(Show other bugs)
Version: 14
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-25 16:22 UTC by Penelope Fudd
Modified: 2011-04-05 21:35 UTC (History)
1 user (show)

Fixed In Version: mlocate-0.24-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-05 21:35:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Penelope Fudd 2010-06-25 16:22:08 UTC
Description of problem:
The system generated an email that says:
--
/etc/cron.daily/mlocate.cron:
/usr/bin/updatedb: `/var/lib/mlocate/mlocate.db' is locked (probably by an earlier updatedb)
--
Typing 'lsof -p `pidof updatedb`' hangs.

From google searching, it appears that it's hanging on an sshfs mounted filesystem where the underlying ssh has timed out and disconnected.

Version-Release number of selected component (if applicable):
mlocate-0.22.2-2.fc12.i686
fuse-sshfs-2.2-5.fc12.i686

How reproducible:
Frequently

Steps to Reproduce:
1. Mount a filesystem using sshfs
2. Kill the ssh
3. Run updatedb
  
Actual results:
updatedb hangs when it encounters the filesystem (probably)

Expected results:
No hang

Additional info:
Maybe sshfs could be improved instead, incorporating lessons from the nfs manpage?

Comment 1 Bug Zapper 2010-11-03 12:51:45 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora Update System 2011-03-31 19:18:44 UTC
mlocate-0.24-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mlocate-0.24-1.fc15

Comment 3 Miloslav Trmač 2011-03-31 19:20:36 UTC
Thanks for your report.  mlocate should ideally exclude all fuse file systems; fuse.sshfs is one of those that really matters, so I have added an explicit exclusion in mlocate-0.24-1.

Comment 4 Fedora Update System 2011-04-02 02:48:37 UTC
Package mlocate-0.24-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mlocate-0.24-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mlocate-0.24-1.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-04-05 21:35:38 UTC
mlocate-0.24-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.